<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.sqx.modules.goods.dao.GoodsAttrDao">

    <insert id="insertGoodsAttr" useGeneratedKeys="true" keyColumn="id" keyProperty="id" parameterType="com.sqx.modules.goods.entity.GoodsAttr">
        INSERT INTO goods_attr
        <trim prefix="(" suffix=")" suffixOverrides=";">
            attr_name,goods_id,rule_id
        </trim>
        <trim prefix="values (" suffix=")" suffixOverrides=";">
            #{attrName},#{goodsId},#{ruleId}
        </trim>
    </insert>



</mapper>